# Asterisk Project : Asterisk 13 Function_REALTIME

Created by wikibot on Aug 08, 2014

# REALTIME()

### Synopsis

RealTime Read/Write Functions.

### Description

This function will read or write values from/to a RealTime repository. REALTIME(....) will read names/values from the repository, and REALTIME(....)= will write a new value/field to the repository. On a read, this function returns a delimited text string. The name/value pairs are delimited by delim1, and the name and value are delimited between each other with delim2. If there is no match, NULL will be returned by the function. On a write, this function will always return NULL.

### Syntax

    REALTIME(family,fieldmatch,matchvalue,delim1|field,delim2)

##### Arguments

- `family`
- `fieldmatch`
- `matchvalue`
- `delim1|field` - Use delim1 with delim2 on read and field without delim2 on write
  If we are reading and delim1 is not specified, defaults to `,`
- `delim2` - Parameter only used when reading, if not specified defaults to `=`

### See Also

- Asterisk 13 Function_REALTIME_STORE
- Asterisk 13 Function_REALTIME_DESTROY
- Asterisk 13 Function_REALTIME_FIELD
- Asterisk 13 Function_REALTIME_HASH

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538